Gaim(3)

NAME
Gaim - Perl extension the Gaim instant messenger.

SYNOPSIS
  use Gaim;

ABSTRACT
  This module provides the interface for using perl scripts as plugins
  in Gaim.

DESCRIPTION
This module provides the interface for using perl scripts as plugins in Gaim. With this, developers can write perl scripts that can be loaded in Gaim as plugins. The scripts can interact with IMs, chats, accounts, the buddy list, gaim signals, and more.

The API for the perl interface is very similar to that of the Gaim C API, which can be viewed at http://gaim.sourceforge.net/api/ or in the header files in the Gaim source tree.

FUNCTIONS

@accounts = Gaim::accounts
    Returns a list of all accounts, online or offline.

@chats = Gaim::chats
    Returns a list of all chats currently open.

@connections = Gaim::connections
    Returns a list of all active connections.

@conversations = Gaim::conversations
    Returns a list of all conversations, both IM and chat, currently open.

@conv_windows = Gaim::conv_windows
    Returns a list of all conversation windows currently open.

@ims = Gaim::ims
    Returns a list of all instant messages currently open.

SEE ALSO
Gaim C API documentation - http//gaim.sourceforge.net/api/

Gaim website - http://gaim.sourceforge.net/

AUTHOR
Christian Hammond, <chipx86@gnupdate.org>

COPYRIGHT AND LICENSE
Copyright 2003 by Christian Hammond

This library is free software; you can redistribute it and/or modify it under the terms of the General Public License (GPL). For more information, see http://www.fsf.org/licenses/gpl.txt